[arch-commits] Commit in colortail/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Aug 16 21:31:38 UTC 2009


    Date: Sunday, August 16, 2009 @ 17:31:38
  Author: jgc
Revision: 49920

Merged revisions 356,49842 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/colortail/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sat, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r49842 | jgc | 2009-08-16 20:23:50 +0200 (Sun, 16 Aug 2009) | 2 lines
  
  upgpkg: colortail 0.3.0-3
      Fix compile with gcc 4.4
........

Added:
  colortail/repos/extra-i686/colortail-0.3.0-gcc4.4.patch
    (from rev 49842, colortail/trunk/colortail-0.3.0-gcc4.4.patch)
Modified:
  colortail/repos/extra-i686/	(properties)
  colortail/repos/extra-i686/PKGBUILD

------------------------------+
 PKGBUILD                     |   29 ++++++++++++++++-------------
 colortail-0.3.0-gcc4.4.patch |   33 +++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+), 13 deletions(-)


Property changes on: colortail/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /colortail/trunk:1
   + /colortail/trunk:1-49919

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-08-16 21:30:55 UTC (rev 49919)
+++ extra-i686/PKGBUILD	2009-08-16 21:31:38 UTC (rev 49920)
@@ -4,23 +4,26 @@
 
 pkgname=colortail
 pkgver=0.3.0
-pkgrel=2
-pkgdesc="Colortail is a log colorizer that I've made to make log checking easier"
+pkgrel=3
+pkgdesc="Log colorizer to make log checking easier"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://joakimandersson.se/projects/colortail/"
-depends=('gcc')
-source=(http://joakimandersson.se/files/$pkgname-$pkgver.tar.gz
-        http://joakimandersson.se/files/$pkgname-$pkgver-gcc3.patch.gz)
-md5sums=('2589d3e372080f4052d1cc0d6550508f' '504b3c31dde38bba11e2ee407e3225c4')
+depends=('gcc-libs>=4.4.1')
+source=(http://joakimandersson.se/files/${pkgname}-${pkgver}.tar.gz
+        http://joakimandersson.se/files/${pkgname}-${pkgver}-gcc3.patch.gz
+        colortail-0.3.0-gcc4.4.patch)
+md5sums=('2589d3e372080f4052d1cc0d6550508f'
+         '504b3c31dde38bba11e2ee407e3225c4'
+         'd5093db5a9016544064f94045e862608')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
-  patch -p1 < ../$pkgname-$pkgver-gcc3.patch
-  #patch -p1 < ../../ansi-c++-gcc-3.2.diff
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/${pkgname}-${pkgver}-gcc3.patch" || return 1
+  patch -Np1 -i "${srcdir}/colortail-0.3.0-gcc4.4.patch" || return 1
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
-  mkdir -p $startdir/pkg/etc/colortail
-  cp example-conf/conf.messages $startdir/pkg/etc/colortail
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/etc/colortail"
+  install -m644 example-conf/conf.messages "${pkgdir}/etc/colortail/" || return 1
 }

Copied: colortail/repos/extra-i686/colortail-0.3.0-gcc4.4.patch (from rev 49842, colortail/trunk/colortail-0.3.0-gcc4.4.patch)
===================================================================
--- extra-i686/colortail-0.3.0-gcc4.4.patch	                        (rev 0)
+++ extra-i686/colortail-0.3.0-gcc4.4.patch	2009-08-16 21:31:38 UTC (rev 49920)
@@ -0,0 +1,33 @@
+diff -ru colortail-0.3.0/CfgFileParser.cc colortail-0.3.0.patched/CfgFileParser.cc
+--- colortail-0.3.0/CfgFileParser.cc	2009-08-16 20:21:33.000000000 +0200
++++ colortail-0.3.0.patched/CfgFileParser.cc	2009-08-16 20:19:41.000000000 +0200
+@@ -21,6 +21,7 @@
+ 
+ #include <iostream>
+ #include <assert.h>
++#include <cstring>
+ #include <string>
+ #include <malloc.h>
+ 
+diff -ru colortail-0.3.0/Colorizer.cc colortail-0.3.0.patched/Colorizer.cc
+--- colortail-0.3.0/Colorizer.cc	2009-08-16 20:21:33.000000000 +0200
++++ colortail-0.3.0.patched/Colorizer.cc	2009-08-16 20:19:55.000000000 +0200
+@@ -23,6 +23,7 @@
+ 
+ #include <assert.h>
+ #include <iostream>
++#include <cstring>
+ #include <string>
+ 
+ using namespace std;
+diff -ru colortail-0.3.0/main.cc colortail-0.3.0.patched/main.cc
+--- colortail-0.3.0/main.cc	1999-08-03 21:42:59.000000000 +0200
++++ colortail-0.3.0.patched/main.cc	2009-08-16 20:20:34.000000000 +0200
+@@ -19,6 +19,7 @@
+ 
+ #include <stdio.h>
+ #include <signal.h>
++#include <cstdlib>
+ 
+ #include "main.h"
+ #include "ColorTail.h"




More information about the arch-commits mailing list